Subject: bug#52480: 28.0.60; Emacs Zip-Archive open inside image file does not display, just empty buffer

From: "Christopher M. Miles" <[email-masked]>
Date: Sat, 18 Dec 2021 00:52:40 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: "Christopher M. Miles" <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Fri, 17 Dec 2021 17:19:31 +0800
>> 
>> >    file-name-coding-system
>> >    default-file-name-coding-system
>> >    locale-coding-system
>> 
>> Here is the value of those Emacs options:
>> 
>> #+begin_src emacs-lisp
>> file-name-coding-system
>> #+end_src
>> 
>> #+RESULTS[(2021-12-17 17:19:56) 10eb8c474c73b3145d541054940d934b4a031860]:
>> : utf-8-hfs-unix
>> 
>> #+begin_src emacs-lisp
>> default-file-name-coding-system
>> #+end_src
>> 
>> #+RESULTS[(2021-12-17 17:19:58) 0003ca32242df46cc8fcec24d6071f349111c373]:
>> : utf-8-unix
>> 
>> #+begin_src emacs-lisp
>> locale-coding-system
>> #+end_src
>> 
>> #+RESULTS[(2021-12-17 17:20:00) 5620306d6cabf6121f6ea3aa3f544bd5d0c53a16]:
>> : utf-8-unix
>
> And after you press RET on one of the file names in the ZIP archive,
> do you see any pertinent messages in the *Messages* buffer?

I got following error in *Messages* buffer:

#+begin_example
caution: filename not matched:  \·\¥\°\Ÿ1-3\ -\ \”\º\¾\·\‡\ -\ 1.jpg

(New file)
#+end_example

Aha, really encoding issue, because Emacs minibuffer echo-area only displayed "(New file)", so I
have not noticed this error. My fault. I should check this buffer. Thanks for point it out.

Is there a method to solve this problem? How to know the filename coding? And how to let Emacs auto
decide which coding for filename?

-- 
[ stardiviner ]
       I try to make every word tell the meaning that I want to express.

       Blog: https://stardiviner.github.io/
       IRC(freenode): stardiviner, Matrix: stardiviner
       GPG: F09F650D7D674819892591401B5DF1C95AE89AC3